Bug 88923 - Writer sometimes doesn't copy/paste formatting
Summary: Writer sometimes doesn't copy/paste formatting
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Paste
  Show dependency treegraph
 
Reported: 2015-01-30 05:42 UTC by evaned
Modified: 2019-07-07 03:39 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
test case (9.05 KB, application/vnd.oasis.opendocument.text)
2015-01-30 05:42 UTC, evaned
Details

Note You need to log in before you can comment on or make changes to this bug.
Description evaned 2015-01-30 05:42:05 UTC
Created attachment 112937 [details]
test case

So I have no idea how I got Writer to *produce* the attached document, but it was nothing terribly fancy.

1. Open the attached document (wat.odt)
2. Note that "Test:" is bold on every line
3. Ctrl-A, Ctrl-X, Ctrl-V

Expected: "Test:" is bold on every line
Actual: "Test:" is NOT bold on the list line (but it is on the others)

Note: I'm not sure what version to file this under. The document was created (and problem first experienced) using LibreOffice 4.2.7.2 from Ubuntu. However, it reproduces on 4.4.0.3 on Windows... so I just went with that.
Comment 1 Buovjaga 2015-01-31 12:20:15 UTC
Reproduced, last Test is not bold after paste.

Win 7 Pro 64-bit Version: 4.5.0.0.alpha0+
Build ID: 309574394bd4ae3e9e10e5ff0d64bdd7bbbc8b83
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2015-01-29_23:44:46

Ubuntu 14.10 64-bit
LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 2 QA Administrators 2016-02-21 08:35:38 UTC Comment hidden (obsolete)
Comment 3 QA Administrators 2017-03-06 15:19:47 UTC Comment hidden (obsolete)
Comment 4 evaned 2017-11-02 06:57:58 UTC
The buggy behavior continues to happen with the attached document on 5.4.2.2, x86_64, Windows 8.1.

(I still, of course, have no idea what I did to make the document. This is probably a super low-priority bug if it's only happened with whatever I did. I also don't particularly care if it gets fixed, but I'm trying to uphold the bug-reporter responsibility of checking if it repros on newer versions. :-))
Comment 5 Timur 2018-07-06 11:02:43 UTC Comment hidden (me-too)
Comment 6 Timur 2018-07-06 12:31:42 UTC
Once explained, this should be turned to documentation bug. 
Help doesn't have "paragraph end" now but it should explain insert a paragraph with or without paragraph end character, insert word with an additional space and insert sentence with a full stop.
Comment 7 Timur 2018-07-06 13:49:38 UTC Comment hidden (me-too)
Comment 8 Timur 2018-07-06 13:51:38 UTC Comment hidden (me-too)
Comment 9 Timur 2018-07-06 15:50:21 UTC
<style:style style:name="P2" style:family="paragraph">
<style:text-properties fo:font-weight="bold" officeooo:rsid="001f96cd"/>
<style:style style:name="P4" style:family="paragraph">
<style:text-properties fo:font-weight="bold" officeooo:rsid="001f96cd"/>

<style:style style:name="T2" style:family="text">
<style:text-properties fo:font-weight="normal" </style:style>
<style:style style:name="T3" style:family="text">
<style:text-properties fo:font-weight="normal">
<style:style style:name="T4" style:family="text">
<style:text-properties officeooo:rsid="0022ece8"/>

<text:p text:style-name="P2">
<text:span text:style-name="T4">Test: </text:span>
<text:span text:style-name="T2">Abcd</text:span>
<text:p text:style-name="P4">
<text:span text:style-name="T3">Test: </text:span>
<text:span text:style-name="T2">Abcd</text:span>

Paragraphs are bold and "Test" inherits that. Abcd are excluded so non-bold.
Upon a copy, "Test" gets new paragraph and text style that is Normal so becomes non-bold.
I miss a detail why exactly T4 is changed and T2 kept. 
It's related to Bug 88380 and maybe RSIDs mentioned in Bug 86988.
Comment 10 QA Administrators 2019-07-07 03:39:16 UTC
Dear evaned,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug